MyGUI::Canvas::Event Struct Reference

`#include <MyGUI_Canvas.h>`

## Public Member Functions

| Event (bool _textureChanged, bool _widgetResized, bool _requested)

## Data Fields

bool | textureChanged
bool | widgetResized
bool | requested
| This update was caused by calling updateTexture();.

## Detailed Description

Definition at line 28 of file MyGUI_Canvas.h.

## Constructor & Destructor Documentation

## Event()

MyGUI::Canvas::Event::Event | ( | bool | _textureChanged,
|  | bool | _widgetResized,
|  | bool | _requested )

inline

Definition at line 30 of file MyGUI_Canvas.h.

## Field Documentation

## requested

bool MyGUI::Canvas::Event::requested

This update was caused by calling updateTexture();.

Definition at line 41 of file MyGUI_Canvas.h.

## textureChanged

bool MyGUI::Canvas::Event::textureChanged

Definition at line 37 of file MyGUI_Canvas.h.

## widgetResized

bool MyGUI::Canvas::Event::widgetResized

Definition at line 38 of file MyGUI_Canvas.h.

The documentation for this struct was generated from the following file:

- MyGUI_Canvas.h